#!/bin/bash
#
# This is the boot-to-charlesreid1 script
#
# Run it as a one-shot installer:
# bash <( curl https://charlesreid1.com:3000/dotfiles/cloud-init/raw/master/linode/deploy_krash.sh )
set -x

# first things first
apt-get update
apt-get install -y git

# Get a copy of the dotfiles for the root user
DOTFILES="/root/codes/dotfiles"
mkdir -p $DOTFILES
DEBIAN="$DOTFILES/debian"
git clone https://charlesreid1.com:3000/dotfiles/debian.git $DEBIAN

# Run the root init script 
$DEBIAN/tasks_sudo/sudo_init.sh krash

# Copy the charles init script
cp $DEBIAN/tasks_charles/charles_init.sh ~charles/.
chown charles:charles ~charles/charles_init.sh
sudo -H -i -u charles ~charles/charles_init.sh

